PHP 5.4.10?

Any wishes or suggestions for MAMP?
Post here what functions you are still missing for MAMP.

Moderator: severin

Post Reply
MainelyJazz
Posts: 1
Joined: Sat 2. Feb 2013, 13:08

PHP 5.4.10?

Post by MainelyJazz » Sat 2. Feb 2013, 13:25

The current version of MAMP Pro comes with PHP 5.4.4, which has a number of known bugs. For example, a function that looks like this:

function getUser($_POST)

produces this error:

Fatal error: Cannot re-assign auto-global variable _POST

You can get around this in MAMP Pro by backing up to 5.3.14, but when does MAMP Plan to come out with an upgrade that includes a more recent version of PHP? 5.4.4 is not ancient--it came out in June 2012--but a more recent version of PHP would help immensely. I'm having to develop in 5.3.14 and deploy to 5.4.8.

Alternatively, can someone tell me how to upgrade my version of PHP without messing up my MAMP Pro install?

Thanks.

Tim

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest